.PHONY: build
build:
	GOWORK=off CGO_ENABLED=0 go build -o bin/pkgdash -mod=readonly git.unistack.org/unistack-org/pkgdash/cmd/pkgdash
	GOWORK=off CGO_ENABLED=0 go build -o bin/pkgdashcli -mod=readonly git.unistack.org/unistack-org/pkgdash/cmd/pkgdashcli

.PHONY: buildcli
buildcli:
	CGO_ENABLED=0 go build -o bin/app -mod=readonly git.unistack.org/unistack-org/pkgdash/cmd/pkgdashcli

.PHONY: cli
cli:
	go install git.unistack.org/unistack-org/pkgdash/cmd/pkgdashcli

.PHONY: test
test:
	go test -v ./... -race -cover

.PHONY: lint
lint:
	# Install the binary release of golangci-lint
	# https://github.com/golangci/golangci-lint#install
	golangci-lint run